% Generated by roxygen2 (4.0.1): do not edit by hand
\name{getStressComponents}
\alias{getStressComponents}
\title{Get financial stress index component data.}
\usage{
getStressComponents(verbose = FALSE)
}
\arguments{
\item{verbose}{whether to print progress messages, default FALSE}
}
\value{
List of class type \code{stress} containing \code{xts} time history object \code{df}, plot colors array \code{colors}, default plot main title \code{main}, and default plot y-axis label \code{ylab}.
}
\description{
Downloads Cleveland FRB financial stress index data.
}
\details{
Transforms the HTML into a data frame, transforms the character date into \code{Date} objects, and then an \code{xts} object.
}
\note{
Meant for internal use by the other, more specific, query functions.
}
\examples{
\dontrun{
getStressComponents()
}
}
\references{
\url{http://www.clevelandfed.org/research/data/financial_stress_index/index.cfm}
}
\seealso{
getStressIndex
}

